Bug 51900 - require e2fsprogs and readline versions
Summary: require e2fsprogs and readline versions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 17:31 UTC by Pekka Savola
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 13:49:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2001-08-16 17:31:14 UTC
dump-0.4b22-4.src.rpm  or even dump-0.4b19-5.6x.src.rpm will not appear to rebuild on 
RHL62.  Errors include, but are not limited to:

/usr/bin/../lib/libext2fs.a(llseek.o): In function `ext2fs_llseek':
llseek.o(.text+0x55): the `llseek' function may be dangerous; use `lseek64' instead.
/usr/bin/../lib/libcom_err.a(com_err.o): In function `default_com_err_proc':
com_err.o(.text+0x17): undefined reference to `_IO_stderr_'
com_err.o(.text+0x22): undefined reference to `_IO_stderr_'
com_err.o(.text+0x38): undefined reference to `_IO_stderr_'
com_err.o(.text+0x4c): undefined reference to `_IO_stderr_'
com_err.o(.text+0x64): undefined reference to `_IO_stderr_'
/usr/bin/../lib/libcom_err.a(com_err.o)(.text+0x71): more undefined references to `_IO_stderr_' follow

Upgrading to rawhide e2fsprogs, e2fsprogs-devel, readline, readline-devel fixed this.

As rebuilding rawhide dump works on unmodified RHL7.0, I suggest adding required versions:

BuildPrereq: e2fsprogs-devel, libtermcap-devel, readline-devel

to:

BuildPrereq: e2fsprogs-devel >= 1.18, libtermcap-devel, readline-devel >= 4.1

Comment 1 Mike A. Harris 2001-11-06 14:07:02 UTC
Fixed in rawhide dump-0.4b22-7.src.rpm


Note You need to log in before you can comment on or make changes to this bug.